Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2813203004: [Payments] Show what's missing for incomplete payment methods. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by Mathieu
Modified:
3 months ago
Reviewers:
anthonyvd
CC:
browser-components-watch_chromium.org, chromium-reviews, darin-cc_chromium.org, estade+watch_chromium.org, gogerald+paymentswatch_chromium.org, jam, mahmadi+paymentswatch_chromium.org, mathp+autofillwatch_chromium.org, rogerm+autofillwatch_chromium.org, rouslan+autofill_chromium.org, rouslan+payments_chromium.org, sebsg+autofillwatch_chromium.org, sebsg+paymentswatch_chromium.org, tfarina, vabr+watchlistautofill_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Payments] Show what's missing for incomplete payment methods. Refactored logic to determine the completeness of a payment instrument. BUG=711358 TEST=components_unittests Review-Url: https://codereview.chromium.org/2813203004 Cr-Commit-Position: refs/heads/master@{#465348} Committed: https://chromium.googlesource.com/chromium/src/+/c45bd0f5bfda65c49b54527b994c08e8cf7203b5

Patch Set 1 #

Patch Set 2 : Initial #

Total comments: 4

Patch Set 3 : addressed comments, now two functions #

Unified diffs Side-by-side diffs Delta from patch set Stats (+133 lines, -28 lines) Patch
M chrome/browser/ui/views/payments/credit_card_editor_view_controller.cc View 1 2 1 chunk +4 lines, -2 lines 0 comments Download
M chrome/browser/ui/views/payments/payment_method_view_controller.cc View 1 2 2 chunks +18 lines, -5 lines 0 comments Download
M components/autofill/core/browser/validation.h View 1 2 2 chunks +21 lines, -0 lines 0 comments Download
M components/autofill/core/browser/validation.cc View 1 2 1 chunk +37 lines, -0 lines 0 comments Download
M components/payments/core/BUILD.gn View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M components/payments/core/autofill_payment_instrument.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M components/payments/core/autofill_payment_instrument.cc View 1 2 3 chunks +14 lines, -21 lines 0 comments Download
M components/payments/core/autofill_payment_instrument_unittest.cc View 1 2 6 chunks +33 lines, -0 lines 0 comments Download
M components/payments/core/payment_instrument.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 12 (4 generated)
Mathieu
Anthony, PTAL
3 months, 1 week ago (2017-04-13 17:52:24 UTC) #2
anthonyvd
https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc File components/autofill/core/browser/validation.cc (right): https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc#newcode136 components/autofill/core/browser/validation.cc:136: bool IsCompleteForPaymentRequest(const CreditCard& card, I think this could return ...
3 months, 1 week ago (2017-04-13 19:50:55 UTC) #3
Mathieu
https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc File components/autofill/core/browser/validation.cc (right): https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc#newcode136 components/autofill/core/browser/validation.cc:136: bool IsCompleteForPaymentRequest(const CreditCard& card, On 2017/04/13 19:50:55, anthonyvd wrote: ...
3 months, 1 week ago (2017-04-13 20:00:15 UTC) #4
anthonyvd
https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc File components/autofill/core/browser/validation.cc (right): https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc#newcode136 components/autofill/core/browser/validation.cc:136: bool IsCompleteForPaymentRequest(const CreditCard& card, On 2017/04/13 at 20:00:15, Mathieu ...
3 months, 1 week ago (2017-04-13 20:48:27 UTC) #5
Mathieu
Thanks, PTAL? https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc File components/autofill/core/browser/validation.cc (right): https://codereview.chromium.org/2813203004/diff/10001/components/autofill/core/browser/validation.cc#newcode136 components/autofill/core/browser/validation.cc:136: bool IsCompleteForPaymentRequest(const CreditCard& card, On 2017/04/13 20:48:27, ...
3 months ago (2017-04-18 17:26:01 UTC) #6
anthonyvd
lgtm
3 months ago (2017-04-18 18:49:42 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2813203004/30001
3 months ago (2017-04-18 19:16:49 UTC) #9
commit-bot: I haz the power
3 months ago (2017-04-18 20:24:45 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:30001) as
https://chromium.googlesource.com/chromium/src/+/c45bd0f5bfda65c49b54527b994c...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973